org.restlet.engine.http.header

## Class HeaderConstants

- java.lang.Object
- - org.restlet.engine.http.header.HeaderConstants

    public final class HeaderConstants
    extends java.lang.Object

Constants related to the HTTP protocol.

Author:
  Jerome Louvel

### Field Summary

Fields
`static java.lang.String` `ATTRIBUTE_HEADERS`
`static java.lang.String` `ATTRIBUTE_HTTPS_CIPHER_SUITE`
`static java.lang.String` `ATTRIBUTE_HTTPS_CLIENT_CERTIFICATES`
`static java.lang.String` `ATTRIBUTE_HTTPS_KEY_SIZE`
`static java.lang.String` `ATTRIBUTE_HTTPS_SSL_SESSION_ID`
`static java.lang.String` `ATTRIBUTE_VERSION` Deprecated.
`static java.lang.String` `CACHE_MAX_AGE`
`static java.lang.String` `CACHE_MAX_STALE`
`static java.lang.String` `CACHE_MIN_FRESH`
`static java.lang.String` `CACHE_MUST_REVALIDATE`
`static java.lang.String` `CACHE_NO_CACHE`
`static java.lang.String` `CACHE_NO_STORE`
`static java.lang.String` `CACHE_NO_TRANSFORM`
`static java.lang.String` `CACHE_ONLY_IF_CACHED`
`static java.lang.String` `CACHE_PRIVATE`
`static java.lang.String` `CACHE_PROXY_MUST_REVALIDATE`
`static java.lang.String` `CACHE_PUBLIC`
`static java.lang.String` `CACHE_SHARED_MAX_AGE`
`static java.lang.String` `EXPECT_CONTINUE`
`static java.lang.String` `HEADER_ACCEPT`
`static java.lang.String` `HEADER_ACCEPT_CHARSET`
`static java.lang.String` `HEADER_ACCEPT_ENCODING`
`static java.lang.String` `HEADER_ACCEPT_LANGUAGE`
`static java.lang.String` `HEADER_ACCEPT_RANGES`
`static java.lang.String` `HEADER_AGE`
`static java.lang.String` `HEADER_ALLOW`
`static java.lang.String` `HEADER_AUTHENTICATION_INFO`
`static java.lang.String` `HEADER_AUTHORIZATION`
`static java.lang.String` `HEADER_CACHE_CONTROL`
`static java.lang.String` `HEADER_CONNECTION`
`static java.lang.String` `HEADER_CONTENT_DISPOSITION`
`static java.lang.String` `HEADER_CONTENT_ENCODING`
`static java.lang.String` `HEADER_CONTENT_LANGUAGE`
`static java.lang.String` `HEADER_CONTENT_LENGTH`
`static java.lang.String` `HEADER_CONTENT_LOCATION`
`static java.lang.String` `HEADER_CONTENT_MD5`
`static java.lang.String` `HEADER_CONTENT_RANGE`
`static java.lang.String` `HEADER_CONTENT_TYPE`
`static java.lang.String` `HEADER_COOKIE`
`static java.lang.String` `HEADER_DATE`
`static java.lang.String` `HEADER_ETAG`
`static java.lang.String` `HEADER_EXPECT`
`static java.lang.String` `HEADER_EXPIRES`
`static java.lang.String` `HEADER_FROM`
`static java.lang.String` `HEADER_HOST`
`static java.lang.String` `HEADER_IF_MATCH`
`static java.lang.String` `HEADER_IF_MODIFIED_SINCE`
`static java.lang.String` `HEADER_IF_NONE_MATCH`
`static java.lang.String` `HEADER_IF_RANGE`
`static java.lang.String` `HEADER_IF_UNMODIFIED_SINCE`
`static java.lang.String` `HEADER_LAST_MODIFIED`
`static java.lang.String` `HEADER_LOCATION`
`static java.lang.String` `HEADER_MAX_FORWARDS`
`static java.lang.String` `HEADER_PRAGMA`
`static java.lang.String` `HEADER_PROXY_AUTHENTICATE`
`static java.lang.String` `HEADER_PROXY_AUTHORIZATION`
`static java.lang.String` `HEADER_RANGE`
`static java.lang.String` `HEADER_REFERRER`
`static java.lang.String` `HEADER_RETRY_AFTER`
`static java.lang.String` `HEADER_SERVER`
`static java.lang.String` `HEADER_SET_COOKIE`
`static java.lang.String` `HEADER_SET_COOKIE2`
`static java.lang.String` `HEADER_SLUG`
`static java.lang.String` `HEADER_TRAILER`
`static java.lang.String` `HEADER_TRANSFER_ENCODING`
`static java.lang.String` `HEADER_TRANSFER_EXTENSION`
`static java.lang.String` `HEADER_UPGRADE`
`static java.lang.String` `HEADER_USER_AGENT`
`static java.lang.String` `HEADER_VARY`
`static java.lang.String` `HEADER_VIA`
`static java.lang.String` `HEADER_WARNING`
`static java.lang.String` `HEADER_WWW_AUTHENTICATE`
`static java.lang.String` `HEADER_X_FORWARDED_FOR`
`static java.lang.String` `HEADER_X_HTTP_METHOD_OVERRIDE`

### Constructor Summary

Constructors
Constructor and Description
`HeaderConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXPECT_CONTINUE

    public static final java.lang.String EXPECT_CONTINUE

See Also:
  Constant Field Values

#### CACHE_NO_CACHE

    public static final java.lang.String CACHE_NO_CACHE

See Also:
  Constant Field Values

#### CACHE_NO_STORE

    public static final java.lang.String CACHE_NO_STORE

See Also:
  Constant Field Values

#### CACHE_MAX_AGE

    public static final java.lang.String CACHE_MAX_AGE

See Also:
  Constant Field Values

#### CACHE_MAX_STALE

    public static final java.lang.String CACHE_MAX_STALE

See Also:
  Constant Field Values

#### CACHE_MIN_FRESH

    public static final java.lang.String CACHE_MIN_FRESH

See Also:
  Constant Field Values

#### CACHE_NO_TRANSFORM

    public static final java.lang.String CACHE_NO_TRANSFORM

See Also:
  Constant Field Values

#### CACHE_ONLY_IF_CACHED

    public static final java.lang.String CACHE_ONLY_IF_CACHED

See Also:
  Constant Field Values

#### CACHE_PUBLIC

    public static final java.lang.String CACHE_PUBLIC

See Also:
  Constant Field Values

#### CACHE_PRIVATE

    public static final java.lang.String CACHE_PRIVATE

See Also:
  Constant Field Values

#### CACHE_MUST_REVALIDATE

    public static final java.lang.String CACHE_MUST_REVALIDATE

See Also:
  Constant Field Values

#### CACHE_PROXY_MUST_REVALIDATE

    public static final java.lang.String CACHE_PROXY_MUST_REVALIDATE

See Also:
  Constant Field Values

#### CACHE_SHARED_MAX_AGE

    public static final java.lang.String CACHE_SHARED_MAX_AGE

See Also:
  Constant Field Values

#### HEADER_ACCEPT

    public static final java.lang.String HEADER_ACCEPT

See Also:
  Constant Field Values

#### HEADER_ACCEPT_CHARSET

    public static final java.lang.String HEADER_ACCEPT_CHARSET

See Also:
  Constant Field Values

#### HEADER_ACCEPT_ENCODING

    public static final java.lang.String HEADER_ACCEPT_ENCODING

See Also:
  Constant Field Values

#### HEADER_ACCEPT_LANGUAGE

    public static final java.lang.String HEADER_ACCEPT_LANGUAGE

See Also:
  Constant Field Values

#### HEADER_ACCEPT_RANGES

    public static final java.lang.String HEADER_ACCEPT_RANGES

See Also:
  Constant Field Values

#### HEADER_AGE

    public static final java.lang.String HEADER_AGE

See Also:
  Constant Field Values

#### HEADER_ALLOW

    public static final java.lang.String HEADER_ALLOW

See Also:
  Constant Field Values

#### HEADER_AUTHENTICATION_INFO

    public static final java.lang.String HEADER_AUTHENTICATION_INFO

See Also:
  Constant Field Values

#### HEADER_AUTHORIZATION

    public static final java.lang.String HEADER_AUTHORIZATION

See Also:
  Constant Field Values

#### HEADER_CACHE_CONTROL

    public static final java.lang.String HEADER_CACHE_CONTROL

See Also:
  Constant Field Values

#### HEADER_CONNECTION

    public static final java.lang.String HEADER_CONNECTION

See Also:
  Constant Field Values

#### HEADER_CONTENT_DISPOSITION

    public static final java.lang.String HEADER_CONTENT_DISPOSITION

See Also:
  Constant Field Values

#### HEADER_CONTENT_ENCODING

    public static final java.lang.String HEADER_CONTENT_ENCODING

See Also:
  Constant Field Values

#### HEADER_CONTENT_LANGUAGE

    public static final java.lang.String HEADER_CONTENT_LANGUAGE

See Also:
  Constant Field Values

#### HEADER_CONTENT_LENGTH

    public static final java.lang.String HEADER_CONTENT_LENGTH

See Also:
  Constant Field Values

#### HEADER_CONTENT_LOCATION

    public static final java.lang.String HEADER_CONTENT_LOCATION

See Also:
  Constant Field Values

#### HEADER_CONTENT_MD5

    public static final java.lang.String HEADER_CONTENT_MD5

See Also:
  Constant Field Values

#### HEADER_CONTENT_RANGE

    public static final java.lang.String HEADER_CONTENT_RANGE

See Also:
  Constant Field Values

#### HEADER_CONTENT_TYPE

    public static final java.lang.String HEADER_CONTENT_TYPE

See Also:
  Constant Field Values

#### HEADER_COOKIE

    public static final java.lang.String HEADER_COOKIE

See Also:
  Constant Field Values

#### HEADER_DATE

    public static final java.lang.String HEADER_DATE

See Also:
  Constant Field Values

#### HEADER_ETAG

    public static final java.lang.String HEADER_ETAG

See Also:
  Constant Field Values

#### HEADER_EXPECT

    public static final java.lang.String HEADER_EXPECT

See Also:
  Constant Field Values

#### HEADER_EXPIRES

    public static final java.lang.String HEADER_EXPIRES

See Also:
  Constant Field Values

#### HEADER_FROM

    public static final java.lang.String HEADER_FROM

See Also:
  Constant Field Values

#### HEADER_HOST

    public static final java.lang.String HEADER_HOST

See Also:
  Constant Field Values

#### HEADER_IF_MATCH

    public static final java.lang.String HEADER_IF_MATCH

See Also:
  Constant Field Values

#### HEADER_IF_MODIFIED_SINCE

    public static final java.lang.String HEADER_IF_MODIFIED_SINCE

See Also:
  Constant Field Values

#### HEADER_IF_NONE_MATCH

    public static final java.lang.String HEADER_IF_NONE_MATCH

See Also:
  Constant Field Values

#### HEADER_IF_RANGE

    public static final java.lang.String HEADER_IF_RANGE

See Also:
  Constant Field Values

#### HEADER_IF_UNMODIFIED_SINCE

    public static final java.lang.String HEADER_IF_UNMODIFIED_SINCE

See Also:
  Constant Field Values

#### HEADER_LAST_MODIFIED

    public static final java.lang.String HEADER_LAST_MODIFIED

See Also:
  Constant Field Values

#### HEADER_LOCATION

    public static final java.lang.String HEADER_LOCATION

See Also:
  Constant Field Values

#### HEADER_MAX_FORWARDS

    public static final java.lang.String HEADER_MAX_FORWARDS

See Also:
  Constant Field Values

#### HEADER_PRAGMA

    public static final java.lang.String HEADER_PRAGMA

See Also:
  Constant Field Values

#### HEADER_PROXY_AUTHENTICATE

    public static final java.lang.String HEADER_PROXY_AUTHENTICATE

See Also:
  Constant Field Values

#### HEADER_PROXY_AUTHORIZATION

    public static final java.lang.String HEADER_PROXY_AUTHORIZATION

See Also:
  Constant Field Values

#### HEADER_RANGE

    public static final java.lang.String HEADER_RANGE

See Also:
  Constant Field Values

#### HEADER_REFERRER

    public static final java.lang.String HEADER_REFERRER

See Also:
  Constant Field Values

#### HEADER_RETRY_AFTER

    public static final java.lang.String HEADER_RETRY_AFTER

See Also:
  Constant Field Values

#### HEADER_SERVER

    public static final java.lang.String HEADER_SERVER

See Also:
  Constant Field Values

#### HEADER_SET_COOKIE

    public static final java.lang.String HEADER_SET_COOKIE

See Also:
  Constant Field Values

#### HEADER_SET_COOKIE2

    public static final java.lang.String HEADER_SET_COOKIE2

See Also:
  Constant Field Values

#### HEADER_SLUG

    public static final java.lang.String HEADER_SLUG

See Also:
  Constant Field Values

#### HEADER_TRAILER

    public static final java.lang.String HEADER_TRAILER

See Also:
  Constant Field Values

#### HEADER_TRANSFER_ENCODING

    public static final java.lang.String HEADER_TRANSFER_ENCODING

See Also:
  Constant Field Values

#### HEADER_TRANSFER_EXTENSION

    public static final java.lang.String HEADER_TRANSFER_EXTENSION

See Also:
  Constant Field Values

#### HEADER_UPGRADE

    public static final java.lang.String HEADER_UPGRADE

See Also:
  Constant Field Values

#### HEADER_USER_AGENT

    public static final java.lang.String HEADER_USER_AGENT

See Also:
  Constant Field Values

#### HEADER_VARY

    public static final java.lang.String HEADER_VARY

See Also:
  Constant Field Values

#### HEADER_VIA

    public static final java.lang.String HEADER_VIA

See Also:
  Constant Field Values

#### HEADER_WARNING

    public static final java.lang.String HEADER_WARNING

See Also:
  Constant Field Values

#### HEADER_WWW_AUTHENTICATE

    public static final java.lang.String HEADER_WWW_AUTHENTICATE

See Also:
  Constant Field Values

#### HEADER_X_FORWARDED_FOR

    public static final java.lang.String HEADER_X_FORWARDED_FOR

See Also:
  Constant Field Values

#### HEADER_X_HTTP_METHOD_OVERRIDE

    public static final java.lang.String HEADER_X_HTTP_METHOD_OVERRIDE

See Also:
  Constant Field Values

#### ATTRIBUTE_HEADERS

    public static final java.lang.String ATTRIBUTE_HEADERS

See Also:
  Constant Field Values

#### ATTRIBUTE_VERSION

    @Deprecated
    public static final java.lang.String ATTRIBUTE_VERSION

Deprecated.

See Also:
  Constant Field Values

#### ATTRIBUTE_HTTPS_CLIENT_CERTIFICATES

    public static final java.lang.String ATTRIBUTE_HTTPS_CLIENT_CERTIFICATES

See Also:
  Constant Field Values

#### ATTRIBUTE_HTTPS_CIPHER_SUITE

    public static final java.lang.String ATTRIBUTE_HTTPS_CIPHER_SUITE

See Also:
  Constant Field Values

#### ATTRIBUTE_HTTPS_KEY_SIZE

    public static final java.lang.String ATTRIBUTE_HTTPS_KEY_SIZE

See Also:
  Constant Field Values

#### ATTRIBUTE_HTTPS_SSL_SESSION_ID

    public static final java.lang.String ATTRIBUTE_HTTPS_SSL_SESSION_ID

See Also:
  Constant Field Values

### Constructor Detail

#### HeaderConstants

    public HeaderConstants()